## cloud-init 18.5-62-g6322c2dd

=== debian/changelog ===
cloud-init (18.5-62-g6322c2dd-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Revert "DataSource: move update_events from a class to an instance..."

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 10 Apr 2019 16:23:25 -0400

cloud-init (18.5-61-gb76714c3-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito] (LP: #1815109)
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)] (LP: #1823084)
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]
    - net: Fix ipv6 static routes when using eni renderer
      [Raphael Glon] (LP: #1818669)
    - Add ubuntu_drivers config module
    - doc: Refresh Azure walinuxagent docs
    - tox: bump pylint version to latest (2.3.1)
    - DataSource: move update_events from a class to an instance attribute
      (LP: #1819913)
    - net/sysconfig: Handle default route setup for dhcp configured NICs
      [Robert Schweikert] (LP: #1812117)
    - DataSourceEc2: update RELEASE_BLOCKER to be more accurate

 -- Daniel Watkins <oddbloke@ubuntu.com>  Wed, 10 Apr 2019 11:49:03 -0400

cloud-init (18.5-45-g3554ffe8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - cloud-init-per: POSIX sh does not support string subst, use sed
      (LP: #1819222)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 08 Mar 2019 17:42:34 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu2) disco; urgency=medium

  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 08 Mar 2019 09:56:42 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
      (LP: #1818571)
    - helpers/openstack: Treat unknown link types as physical (LP: #1639263)
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger] (LP: #1818032)
    - cc_apt_pipelining: stop disabling pipelining by default (LP: #1794982)
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set (LP: #1816967)
    - Enable encrypted_data_bag_secret support for Chef
      [Eric Williams] (LP: #1817082)
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli] (LP: #1802073)
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
      (LP: #1779672)
    - netplan: Don't render yaml aliases when dumping netplan (LP: #1815051)
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel] (LP: #1802188)
    - clean: cloud-init clean should not trace when run from within cloud_dir
      (LP: #1795508)
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers

 -- Daniel Watkins <oddbloke@ubuntu.com>  Thu, 07 Mar 2019 10:32:26 -0500

cloud-init (18.5-21-g8ee294d5-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - opennebula: also exclude epochseconds from changed environment vars
      (LP: #1813641)
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT
      [Robert Schweikert] (LP: #1799540)
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 17:01:53 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta (LP: #1813383)
    - tox: fix disco httpretty dependencies for py37 (LP: #1813361)
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package
      [Johnson Shi] (LP: #1799779)
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.
      [Eduardo Otubo]
    - cc_set_passwords: Fix regex when parsing hashed passwords
      [Marlin Cremers] (LP: #1811446)
    - net: Wait for dhclient to daemonize before reading lease file
      [Jason Zions] (LP: #1794399)
    - [Azure] Increase retries when talking to Wireserver during metadata walk
      [Jason Zions]
    - Add documentation on adding a datasource.
    - doc: clean up some datasource documentation.


## cloud-init 19.1-1-gbaa47854

=== debian/changelog ===
cloud-init (19.1-1-gbaa47854-0ubuntu1~18.10.1) cosmic; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Cosmic (LP: #1828641)
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn
    - DataSourceAzure: Adjust timeout for polling IMDS [Anh Vo]
    - Azure: Changes to the Hyper-V KVP Reporter [Anh Vo]
    - git tests: no longer show warning about safe yaml. [Scott Moser]
    - tools/read-version: handle errors [Chad Miller]
    - net/sysconfig: only indicate available on known sysconfig distros
    - packages: update rpm specs for new bash completion path
    - test_azure: mock util.SeLinuxGuard where needed [Jason Zions (MSFT)]
    - setup.py: install bash completion script in new location
    - mount_cb: do not pass sync and rw options to mount [Gonéri Le Bouder]
    - cc_apt_configure: fix typo in apt documentation [Dominic Schlegel]
    - Revert "DataSource: move update_events from a class to an instance..."
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito]
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)]
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]
    - net: Fix ipv6 static routes when using eni renderer [Raphael Glon]
    - Add ubuntu_drivers config module
    - doc: Refresh Azure walinuxagent docs
    - tox: bump pylint version to latest (2.3.1)
    - DataSource: move update_events from a class to an instance attribute
    - net/sysconfig: Handle default route setup for dhcp configured NICs
      [Robert Schweikert]
    - DataSourceEc2: update RELEASE_BLOCKER to be more accurate

 -- Chad Smith <chad.smith@canonical.com>  Sun, 12 May 2019 20:10:17 -0600

cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <oddbloke@ubuntu.com>  Mon, 11 Mar 2019 17:04:15 -0400

cloud-init (18.5-21-g8ee294d5-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1813346)
    - opennebula: also exclude epochseconds from changed environment vars
    - systemd: Render generator from template to account for system
      differences. [Robert Schweikert]
    - sysconfig: On SUSE, use STARTMODE instead of ONBOOT [Robert Schweikert]
    - flake8: use ==/!= to compare str, bytes, and int literals
      [Paride Legovini]

 -- Chad Smith <chad.smith@canonical.com>  Mon, 28 Jan 2019 20:19:18 -0700

cloud-init (18.5-17-gd1a2fe73-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot.
    - opennebula: exclude EPOCHREALTIME as known bash env variable with a
      delta
    - tox: fix disco httpretty dependencies for py37
    - run-container: uncomment baseurl in yum.repos.d/*.repo when using a
      proxy [Paride Legovini]
    - lxd: install zfs-linux instead of zfs meta package
      [Johnson Shi]
    - net/sysconfig: do not write a resolv.conf file with only the header.
      [Robert Schweikert]
    - net: Make sysconfig renderer compatible with Network Manager.


=== debian/control ===
Source: cloud-init
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9.20160709),
               dh-python,
               iproute2,
               pep8,
               po-debconf,
               pyflakes,
               python3,
               python3-configobj,
               python3-httpretty,
               python3-jinja2,
               python3-jsonpatch,
               python3-jsonschema,
               python3-mock,
               python3-nose,
               python3-oauthlib,
               python3-pep8,
               python3-pyflakes | pyflakes (<< 1.1.0-2),
               python3-requests,
               python3-serial,
               python3-setuptools,
               python3-six,
               python3-unittest2,
               python3-yaml
XS-Python-Version: all
Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
Standards-Version: 3.9.8

Package: cloud-init
Architecture: all
Depends: cloud-guest-utils | cloud-utils,
         isc-dhcp-client,
         iproute2,
         netplan.io | ifupdown,
         procps,
         python3,
         python3-requests,
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Recommends: eatmydata, gdisk, software-properties-common
XB-Python-Version: ${python:Versions}
Description: Init scripts for cloud instances
 Cloud instances need special scripts to run during initialisation
 to retrieve and install ssh keys and to let the user run various scripts.

## cloud-init 19.2-24-ge7881d5c

=== debian/changelog ===
cloud-init (19.2-24-ge7881d5c-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1841099)
    - Oracle: Render secondary vnic IP and MTU values only
    - exoscale: fix sysconfig cloud_config_modules overrides
    - net/cmdline: refactor to allow multiple initramfs network config sources

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Aug 2019 15:50:54 -0600

cloud-init (19.2-21-ge6383719-0ubuntu1~18.04.1) bionic; urgency=medium

  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * debian/cloud-init.templates: enable Exoscale cloud.
  * New upstream snapshot. (LP: #1841099)
    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA
    - Add missing #cloud-config comment on first example in documentation.
      [Florian Müller]
    - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula
    - DataSourceOracle: prefer DS network config over initramfs
    - format.rst: add text/jinja2 to list of content types (+ cleanups)
    - Add GitHub pull request template to point people at hacking doc
    - cloudinit/distros/parsers/sys_conf: add docstring to SysConf
    - pyflakes: remove unused variable [Joshua Powers]
    - Azure: Record boot timestamps, system information, and diagnostic events
      [Anh Vo]
    - DataSourceOracle: configure secondary NICs on Virtual Machines
    - distros: fix confusing variable names
    - azure/net: generate_fallback_nic emits network v2 config instead of v1
    - Add support for publishing host keys to GCE guest attributes
      [Rick Wright]
    - New data source for the Exoscale.com cloud platform [Chris Glass]
    - doc: remove intersphinx extension
    - cc_set_passwords: rewrite documentation
    - net/cmdline: split interfaces_by_mac and init network config
      determination
    - stages: allow data sources to override network config source order
    - cloud_tests: updates and fixes
    - Fix bug rendering MTU on bond or vlan when input was netplan.
      [Scott Moser]
    - net: update net sequence, include wait on netdevs, opensuse netrules path
    - Release 19.2
    - net: add rfc3442 (classless static routes) to EphemeralDHCP
    - templates/ntp.conf.debian.tmpl: fix missing newline for pools
    - Support netplan renderer in Arch Linux [Conrad Hoffmann]
    - Fix typo in publicly viewable documentation. [David Medberry]
    - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]
    - VMWare: Trigger the post customization script via cc_scripts module.
      [Xiaofeng Wang]
    - Cloud-init analyze module: Added ability to analyze boot events.
      [Sam Gilson]
    - Update debian eni network configuration location, retain Ubuntu setting
      [Janos Lenart]
    - net: skip bond interfaces in get_interfaces [Stanislav Makar]
    - Fix a couple of issues raised by a coverity scan
    - Add missing dsname for Hetzner Cloud datasource [Markus Schade]
    - doc: indicate that netplan is default in Ubuntu now
    - azure: add region and AZ properties from imds compute location metadata
    - sysconfig: support more bonding options [Penghui Liao]
    - cloud-init-generator: use libexec path to ds-identify on redhat systems
    - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]
    - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]
    - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]
    - run-container: centos: comment out the repo mirrorlist [Paride Legovini]
    - netplan: update netplan key mappings for gratuitous-arp
    - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]
    - freebsd: ability to grow root file system [Gonéri Le Bouder]
    - freebsd: NoCloud data source support [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Aug 2019 12:56:36 -0600

cloud-init (19.1-1-gbaa47854-0ubuntu1~18.04.1) bionic; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Bionic (LP: #1828641)
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn
    - DataSourceAzure: Adjust timeout for polling IMDS [Anh Vo]
    - Azure: Changes to the Hyper-V KVP Reporter [Anh Vo]
    - git tests: no longer show warning about safe yaml. [Scott Moser]
    - tools/read-version: handle errors [Chad Miller]
    - net/sysconfig: only indicate available on known sysconfig distros
    - packages: update rpm specs for new bash completion path
    - test_azure: mock util.SeLinuxGuard where needed [Jason Zions (MSFT)]
    - setup.py: install bash completion script in new location
    - mount_cb: do not pass sync and rw options to mount [Gonéri Le Bouder]
    - cc_apt_configure: fix typo in apt documentation [Dominic Schlegel]
    - Revert "DataSource: move update_events from a class to an instance..."
    - Change DataSourceNoCloud to ignore file system label's case.
      [Risto Oikarinen]
    - cmd:main.py: Fix missing 'modules-init' key in modes dict
      [Antonio Romito]
    - ubuntu_advantage: rewrite cloud-config module
    - Azure: Treat _unset network configuration as if it were absent
      [Jason Zions (MSFT)]
    - DatasourceAzure: add additional logging for azure datasource [Anh Vo]
    - cloud_tests: fix apt_pipelining test-cases
    - Azure: Ensure platform random_seed is always serializable as JSON.
      [Jason Zions (MSFT)]
    - net/sysconfig: write out SUSE-compatible IPv6 config [Robert Schweikert]
    - tox: Update testenv for openSUSE Leap to 15.0 [Thomas Bechtold]


## cloud-init 19.2-36

=== Makefile ===
CWD=$(shell pwd)
PYVER ?= $(shell for p in python3 python2; do \
	out=$$(command -v $$p 2>&1) && echo $$p && exit; done; exit 1)

noseopts ?= -v

YAML_FILES=$(shell find cloudinit tests tools -name "*.yaml" -type f )
YAML_FILES+=$(shell find doc/examples -name "cloud-config*.txt" -type f )

PIP_INSTALL := pip install

ifeq ($(PYVER),python3)
  pyflakes = pyflakes3
  unittests = unittest3
  yaml = yaml
else
ifeq ($(PYVER),python2)
  pyflakes = pyflakes
  unittests = unittest
else
  pyflakes = pyflakes pyflakes3
  unittests = unittest unittest3
endif
endif

ifeq ($(distro),)
  distro = redhat
endif

READ_VERSION=$(shell $(PYVER) $(CWD)/tools/read-version || \
  echo read-version-failed)
CODE_VERSION=$(shell $(PYVER) -c "from cloudinit import version; print(version.version_string())")


all: check

check: check_version test $(yaml)

style-check: pep8 $(pyflakes)

pep8:
	@$(CWD)/tools/run-pep8

pyflakes:
	@$(CWD)/tools/run-pyflakes

pyflakes3:
	@$(CWD)/tools/run-pyflakes3

unittest: clean_pyc
	nosetests $(noseopts) tests/unittests cloudinit

unittest3: clean_pyc
	nosetests3 $(noseopts) tests/unittests cloudinit

ci-deps-ubuntu:
	@$(PYVER) $(CWD)/tools/read-dependencies --distro ubuntu --test-distro

ci-deps-centos:
	@$(PYVER) $(CWD)/tools/read-dependencies --distro centos --test-distro

pip-requirements:
	@echo "Installing cloud-init dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

pip-test-requirements:
	@echo "Installing cloud-init test dependencies..."
	$(PIP_INSTALL) -r "$@.txt" -q

test: $(unittests)

check_version:
	@if [ "$(READ_VERSION)" != "$(CODE_VERSION)" ]; then \
	    echo "Error: read-version version '$(READ_VERSION)'" \
	    "not equal to code version '$(CODE_VERSION)'"; exit 2; \
	    else true; fi

config/cloud.cfg:
	$(PYVER) ./tools/render-cloudcfg config/cloud.cfg.tmpl config/cloud.cfg

clean_pyc:
	@find . -type f -name "*.pyc" -delete

clean: clean_pyc
	rm -rf /var/log/cloud-init.log /var/lib/cloud/

yaml:
	@$(PYVER) $(CWD)/tools/validate-yaml.py $(YAML_FILES)

rpm:
	$(PYVER) ./packages/brpm --distro=$(distro)

srpm:
	$(PYVER) ./packages/brpm --srpm --distro=$(distro)

deb:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }

	$(PYVER) ./packages/bddeb

deb-src:
	@which debuild || \
		{ echo "Missing devscripts dependency. Install with:"; \
		  echo sudo apt-get install devscripts; exit 1; }
	$(PYVER) ./packages/bddeb -S -d

doc:
	tox -e doc

.PHONY: test pyflakes pyflakes3 clean pep8 rpm srpm deb deb-src yaml
.PHONY: check_version pip-test-requirements pip-requirements clean_pyc
.PHONY: unittest unittest3 style-check doc

## cloud-init 19.2-36-g059d049c

=== debian/changelog ===
cloud-init (19.2-36-g059d049c-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]
    - .gitignore: ignore files produced by package builds
    - docs: fix whitespace, spelling, and line length [Joshua Powers]
    - docs: remove unnecessary file in doc directory [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 17 Sep 2019 08:18:06 -0600

cloud-init (19.2-24-ge7881d5c-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1841099)
    - Oracle: Render secondary vnic IP and MTU values only
    - exoscale: fix sysconfig cloud_config_modules overrides
    - net/cmdline: refactor to allow multiple initramfs network config sources

 -- Chad Smith <chad.smith@canonical.com>  Wed, 28 Aug 2019 15:52:28 -0600

cloud-init (19.2-21-ge6383719-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/cloud-init.templates: enable Exoscale cloud.
  * refresh patches:
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
   + debian/patches/ubuntu-advantage-revert-tip.patch
  * New upstream snapshot. (LP: #1841099)
    - ubuntu-drivers: call db_x_loadtemplatefile to accept NVIDIA EULA
    - Add missing #cloud-config comment on first example in documentation.
      [Florian Müller]
    - ubuntu-drivers: emit latelink=true debconf to accept nvidia eula
    - DataSourceOracle: prefer DS network config over initramfs
    - format.rst: add text/jinja2 to list of content types (+ cleanups)
    - Add GitHub pull request template to point people at hacking doc
    - cloudinit/distros/parsers/sys_conf: add docstring to SysConf
    - pyflakes: remove unused variable [Joshua Powers]
    - Azure: Record boot timestamps, system information, and diagnostic events
      [Anh Vo]
    - DataSourceOracle: configure secondary NICs on Virtual Machines
    - distros: fix confusing variable names
    - azure/net: generate_fallback_nic emits network v2 config instead of v1
    - Add support for publishing host keys to GCE guest attributes
      [Rick Wright]
    - New data source for the Exoscale.com cloud platform [Chris Glass]
    - doc: remove intersphinx extension
    - cc_set_passwords: rewrite documentation
    - net/cmdline: split interfaces_by_mac and init network config
      determination
    - stages: allow data sources to override network config source order
    - cloud_tests: updates and fixes
    - Fix bug rendering MTU on bond or vlan when input was netplan.
      [Scott Moser]
    - net: update net sequence, include wait on netdevs, opensuse netrules path
    - Release 19.2
    - net: add rfc3442 (classless static routes) to EphemeralDHCP
    - templates/ntp.conf.debian.tmpl: fix missing newline for pools
    - Support netplan renderer in Arch Linux [Conrad Hoffmann]
    - Fix typo in publicly viewable documentation. [David Medberry]
    - Add a cdrom size checker for OVF ds to ds-identify [Pengpeng Sun]
    - VMWare: Trigger the post customization script via cc_scripts module.
      [Xiaofeng Wang]
    - Cloud-init analyze module: Added ability to analyze boot events.
      [Sam Gilson]
    - Update debian eni network configuration location, retain Ubuntu setting
      [Janos Lenart]
    - net: skip bond interfaces in get_interfaces [Stanislav Makar]
    - Fix a couple of issues raised by a coverity scan
    - Add missing dsname for Hetzner Cloud datasource [Markus Schade]
    - doc: indicate that netplan is default in Ubuntu now
    - azure: add region and AZ properties from imds compute location metadata
    - sysconfig: support more bonding options [Penghui Liao]
    - cloud-init-generator: use libexec path to ds-identify on redhat systems
    - tools/build-on-freebsd: update to python3 [Gonéri Le Bouder]
    - Allow identification of OpenStack by Asset Tag [Mark T. Voelker]
    - Fix spelling error making 'an Ubuntu' consistent. [Brian Murray]
    - run-container: centos: comment out the repo mirrorlist [Paride Legovini]
    - netplan: update netplan key mappings for gratuitous-arp
    - freebsd: fix the name of cloudcfg VARIANT [Gonéri Le Bouder]
    - freebsd: ability to grow root file system [Gonéri Le Bouder]
    - freebsd: NoCloud data source support [Gonéri Le Bouder]

 -- Chad Smith <chad.smith@canonical.com>  Thu, 22 Aug 2019 11:55:27 -0600

cloud-init (19.1-1-gbaa47854-0ubuntu1~16.04.1) xenial; urgency=medium

  * debian/patches/ubuntu-advantage-revert-tip.patch
    Revert ubuntu-advantage config module changes until ubuntu-advantage-tools
    19.1 publishes to Xenial (LP: #1828641)
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
   + debian/patches/ec2-classic-dont-reapply-networking.patch
  * refresh patches:
   + debian/patches/azure-apply-network-config-false.patch
   + debian/patches/azure-use-walinux-agent.patch
  * New upstream snapshot. (LP: #1828637)
    - Azure: Return static fallback address as if failed to find endpoint
      [Jason Zions (MSFT)]
    - release 19.1
    - freebsd: add chpasswd pkg in the image [Gonéri Le Bouder]
    - tests: add Eoan release [Paride Legovini]
    - cc_mounts: check if mount -a on no-change fstab path [Jason Zions (MSFT)]
    - replace remaining occurrences of LOG.warn


=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: cloud-init
 Section: admin
-Priority: optional
+Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 9.20160709),
+Build-Depends: debhelper (>= 9),
                dh-python,
+               dh-systemd,
                iproute2,
                pep8,
                po-debconf,
@@ -13,7 +14,6 @@
                python3-httpretty,
                python3-jinja2,
                python3-jsonpatch,
-               python3-jsonschema,
                python3-mock,
                python3-nose,
                python3-oauthlib,
@@ -28,22 +28,43 @@
 XS-Python-Version: all
 Vcs-Browser: https://git.launchpad.net/cloud-init/?h=ubuntu/devel
 Vcs-Git: git://git.launchpad.net/cloud-init -b ubuntu/devel
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 
 Package: cloud-init
 Architecture: all
 Depends: cloud-guest-utils | cloud-utils,
-         isc-dhcp-client,
-         iproute2,
-         netplan.io | ifupdown,
+         ifupdown (>= 0.6.10ubuntu5),
          procps,
          python3,
-         python3-requests,
+         python3-requests (>= 0.8.2),
          python3-serial,
          ${misc:Depends},
          ${python3:Depends}
+Breaks: walinuxagent (<< 2.1.3-0ubuntu4.1)
 Recommends: eatmydata, gdisk, software-properties-common
+Provides: ec2-init
+Replaces: ec2-init (<<0.5.3)
+Conflicts: ec2-init (<<0.5.3)
 XB-Python-Version: ${python:Versions}
 Description: Init scripts for cloud instances
  Cloud instances need special scripts to run during initialisation
  to retrieve and install ssh keys and to let the user run various scripts.
+
+Package: grub-legacy-ec2
+Depends: debconf (>= 1.5.19) | cdebconf,
+         ucf,
+         util-linux (>= 2.15-1),
+         ${misc:Depends}
+Conflicts: grub
+Suggests: grub-legacy-doc
+Architecture: all
+Description: Handles update-grub for ec2 instances
+ EC2 instances that use grub-legacy as a bootloader need a way to keep
+ /boot/grub/menu.lst up to date while not conflicting with grub-pc.
+ This package provides that.
+
+Package: ec2-init
+Depends: cloud-init, ${misc:Depends}
+Architecture: all
+Description: package renamed -> cloud-init
+ This package has been renamed to 'cloud-init'.

## cloud-init 19.3

=== debian/changelog ===
cloud-init (19.3-2) unstable; urgency=medium

  * Build-depends on python3-pep8 instead of just pep8 (Closes: #949940).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Jan 2020 13:11:23 +0100

cloud-init (19.3-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Dec 2019 08:36:53 +0100

cloud-init (19.2-4) unstable; urgency=medium

  * Removed the last bit of Python2 build-depends (Closes: #942968).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 12:19:08 +0200

cloud-init (19.2-3) unstable; urgency=medium

  * Remove the patch for sources.list, and activate the option to preserve
    the sources.list by default (ie: apt_preserve_sources_list: true).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 21:44:00 +0200

cloud-init (19.2-2) unstable; urgency=medium

  * Comment out backports by default in apt/sources.list.
  * Standards-Version bump to 4.4.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 20:55:55 +0200

cloud-init (19.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop 0008-opennebula-also-exclude-epochseconds-from-changed-en.patch
    applied upstream.
  * Drop CVE-2019-0816_Filter_list_of_ssh_keys_pulled_from_fabric.patch also
    applied upstream.
  * Rebased patches:
    - 0009-Drop-all-unused-extended-version-handling.patch
    - 0012-Fix-message-when-a-local-is-missing.patch

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2019 08:47:15 +0200

=== debian/control ===
Source: cloud-init
Maintainer: Debian Cloud Team <debian-cloud@lists.debian.org>
Uploaders:
 Bastian Blank <waldi@debian.org>,
 Charles Plessy <plessy@debian.org>,
 Thomas Goirand <zigo@debian.org>,
Section: admin
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-python,
 iproute2,
 po-debconf,
 pylint,
 python3-all,
 python3-pep8,
 python3-setuptools,
Build-Depends-Indep:
 python3-configobj,
 python3-contextlib2,
 python3-httpretty (>= 0.9.5),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-mock,
 python3-nose,
 python3-oauthlib,
 python3-pep8,
 python3-prettytable,
 python3-pyflakes,
 python3-requests,
 python3-serial,
 python3-six,
 python3-unittest2,
 python3-yaml,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/cloud-team/cloud-init
Vcs-Git: https://salsa.debian.org/cloud-team/cloud-init.git
Homepage: https://launchpad.net/cloud-init

Package: cloud-init
Architecture: all
Depends:
 cloud-guest-utils,
 fdisk | util-linux (<< 2.29.2-3~),
 gdisk,
 ifupdown,
 locales,
 lsb-base,
 lsb-release,
 net-tools,
 procps,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 eatmydata,
 sudo,
Suggests:
 btrfs-progs,
 e2fsprogs,
 xfsprogs,
Description: initialization system for infrastructure cloud instances
 Cloud-init provides a framework and tool to configure and customize virtual
 machine instances for Infrastructure-as-a-Service (IaaS) clouds platforms. It
 can for example set a default locale and hostname, generate SSH private host
 keys, install SSH public keys for logging into a default account, set up
 ephemeral mount points, and run user-provided scripts.
 .
 Various methods are supported for passing data to the instance at launch
 time, including the standard interfaces of multiple platforms.

## cloud-init 19.3-41-gc4735dd3

=== debian/changelog ===
cloud-init (19.3-41-gc4735dd3-0ubuntu1~19.04.1) disco; urgency=medium

  * New upstream snapshot. (LP: #1854872)
    - Fix linting failure in test_url_helper (#83) [Eric Lafontaine]
    - url_helper: read_file_or_url should pass headers param into readurl (#66)
    - dmidecode: log result *after* stripping n [Igor Galić]
    - cloud_tests: add azure platform support to integration tests
      [ahosmanmsft]
    - set_passwords: support for FreeBSD (#46) [Igor Galić]
    - tools: migrate-lp-user-to-github removes repo_dir if created (#35)
    - Correct jumbled documentation for cc_set_hostname module (#64) [do3meli]
    - FreeBSD: fix for get_linux_distro() and lru_cache (#59) [Igor Galić]
    - ec2: Add support for AWS IMDS v2 (session-oriented) (#55)
    - tests: Fix cloudsigma tests when no dmidecode data is present. (#57)
      [Scott Moser]
    - net: IPv6, accept_ra, slaac, stateless (#51) [Harald]
    - docs: Update the configdrive datasource links (#44) [Joshua Powers]
    - distro: correctly set usr_lib_exec path for FreeBSD distro (#40)
      [Igor Galić]
    - azure: support secondary ipv6 addresses (#33)
    - Fix metadata check when local-hostname is null (#32) [Mark Goddard]
    - Merge pull request #38 from blackboxsw/cleanup/run-ci-on-pull-request
    - switch default FreeBSD salt minion pkg from py27 to py36
      [Dominic Schlegel]
    - add data-server dns entry as new metadata server detection [Joshua Hügli]
    - Merge pull request #31 from raharper/fix/pycodestyle-tip
    - reporting: Using a uuid to enforce uniqueness on the KVP keys. [momousta]
    - docs: touchups in rtd intro and README.md
    - doc: update launchpad git refs to github
    - tools: migrate script needs to write tools/.lp-to-git-user
    - github: drop pull-request template to prepare for migration
    - tools: add migrate-lp-user-to-github script to link LP to github
    - github: new basic project readme
    - Release 19.3
    - azure: support matching dhcp route-metrics for dual-stack ipv4 ipv6
    - configdrive: fix subplatform config-drive for /config-drive source
      [David Kindred]
    - DataSourceSmartOS: reconfigure network on each boot [Mike Gerdts]
    - Add config for ssh-key import and consuming user-data [Pavel Zakharov]
    - net: fix subnet_is_ipv6() for stateless|stateful [Harald Jensås]
    - OVF: disable custom script execution by default [Xiaofeng Wang]
    - cc_puppet: Implement csr_attributes.yaml support [Matthias Baur]
    - cloud-init.service: on centos/fedora/redhat wait on
      NetworkManager.service
    - azure: Do not lock user on instance id change [Sam Eiderman]
    - net/netplan: use ipv6-mtu key for specifying ipv6 mtu values
    - Fix usages of yaml, and move yaml_dump to safeyaml.dumps. [Scott Moser]
    - exoscale: Increase url_max_wait to 120s. [Chris Glass]
    - net/sysconfig: fix available check on SUSE distros [Robert Schweikert]
    - docs: Fix incorrect Azure IMDS IP address [Joshua Powers]
    - introduce .travis.yml
    - net: enable infiniband support in eni and sysconfig renderers
      [Darren Birkett]
    - guestcust_util: handle special characters in config file [Xiaofeng Wang]
    - fix some more typos in comments [Dominic Schlegel]
    - replace any deprecated log.warn with log.warning [Dominic Schlegel]
    - net: handle openstack dhcpv6-stateless configuration [Harald Jensås]
    - Add .venv/ to .gitignore [Dominic Schlegel]
    - Small typo fixes in code comments. [Dominic Schlegel]
    - cloud_test/lxd: Retry container delete a few times
    - Add Support for e24cloud to Ec2 datasource. [Scott Moser]
    - Add RbxCloud datasource [Adam Dobrawy]
    - get_interfaces: don't exclude bridge and bond members
    - Add support for Arch Linux in render-cloudcfg [Conrad Hoffmann]
    - util: json.dumps on python 2.7 will handle UnicodeDecodeError on binary
    - debian/ubuntu: add missing word to netplan/ENI header
    - ovf: do not generate random instance-id for IMC customization path
    - sysconfig: only write resolv.conf if network_state has DNS values
    - sysconfig: use distro variant to check if available
    - systemd/cloud-init.service.tmpl: start after wicked.service
      [Robert Schweikert]
    - docs: fix zstack documentation lints
    - analyze/show: remove trailing space in output
    - Add missing space in warning: "not avalid seed" [Brian Candler]
    - pylintrc: add 'enter_context' to generated-members list
    - Add datasource for ZStack platform. [Shixin Ruan]
    - docs: organize TOC and update summary of project [Joshua Powers]
    - tools: make clean now cleans the dev directory, not the system
    - docs: create cli specific page [Joshua Powers]
    - docs: added output examples to analyze.rst [Joshua Powers]
    - docs: doc8 fixes for instancedata page [Joshua Powers]
    - docs: clean up formatting, organize boot page [Joshua Powers]

 -- Chad Smith <chad.smith@canonical.com>  Tue, 03 Dec 2019 14:55:05 -0700

cloud-init (19.2-36-g059d049c-0ubuntu2~19.04.1) disco; urgency=medium

  * cherry-pick a7d8d032: get_interfaces: don't exclude bridge and bond
    members (LP: #1846535)

 -- Daniel Watkins <oddbloke@ubuntu.com>  Fri, 04 Oct 2019 11:46:15 -0400

cloud-init (19.2-36-g059d049c-0ubuntu1~19.04.1) disco; urgency=medium

  * New upstream snapshot. (LP: #1844334)
    - net: add is_master check for filtering device list
    - docs: more complete list of availability [Joshua Powers]
    - docs: start FAQ page [Joshua Powers]
    - docs: cleanup output & order of datasource page [Joshua Powers]
    - Brightbox: restrict detection to require full domain match
      .brightbox.com [Scott Moser]
    - VMWware: add option into VMTools config to enable/disable custom script.
      [Xiaofeng Wang]
    - net,Oracle: Add support for netfailover detection
    - atomic_helper: add DEBUG logging to write_file
    - doc: document doc, create makefile and tox target [Joshua Powers]


## cloud-init 19.4-33-gbb4131a2

=== debian/changelog ===
cloud-init (19.4-33-gbb4131a2-0ubuntu1~19.10.1) eoan; urgency=medium

  * New upstream snapshot. (LP: #1859725)
    - Only use gpart if it is the BSD gpart (#131) [Conrad Hoffmann]
    - freebsd: remove superflu exception mapping (#166) [Gonéri Le Bouder]
    - ssh_auth_key_fingerprints_disable test: fix capitalization (#165)
      [Paride Legovini]
    - util: move uptime's else branch into its own boottime function (#53)
      [Igor Galić]
    - workflows: add contributor license agreement checker (#155)
    - net: fix rendering of 'static6' in network config (#77)
    - Make tests work with Python 3.8 (#139) [Conrad Hoffmann]
    - fixed minor bug with mkswap in cc_disk_setup.py (#143) [andreaf74]
    - freebsd: fix create_group() cmd (#146) [Gonéri Le Bouder]
    - doc: make apt_update example consistent (#154)
    - doc: add modules page toc with links (#153)
    - Add support for the amazon variant in cloud.cfg.tmpl (#119)
      [Frederick Lefebvre]
    - ci: remove Python 2.7 from CI runs (#137)
    - modules: drop cc_snap_config config module (#134)
    - migrate-lp-user-to-github: ensure Launchpad repo exists (#136)
    - docs: add initial troubleshooting to FAQ (#104) [Joshua Powers]
    - doc: update cc_set_hostname frequency and descrip (#109) [Joshua Powers]
    - freebsd: introduce the freebsd renderer (#61) [Gonéri Le Bouder]
    - cc_snappy: remove deprecated module (#127)
    - HACKING.rst: clarify that everyone needs to do the LP->GH dance (#130)
    - freebsd: cloudinit service requires devd (#132) [Gonéri Le Bouder]
    - cloud-init: fix capitalisation of SSH (#126)
    - doc: update cc_ssh clarify host and auth keys [Joshua Powers]
    - ci: emit names of tests run in Travis (#120)
    - Release 19.4
    - rbxcloud: fix dsname in RbxCloud [Adam Dobrawy]
    - tests: Add tests for value of dsname in datasources [Adam Dobrawy]
    - apport: Add RbxCloud ds [Adam Dobrawy]
    - docs: Updating index of datasources [Adam Dobrawy]
    - docs: Fix anchor of datasource_rbx [Adam Dobrawy]
    - settings: Add RbxCloud [Adam Dobrawy]
    - doc: specify _ over - in cloud config modules [Joshua Powers]
    - tools: Detect python to use via env in migrate-lp-user-to-github
      [Adam Dobrawy]
    - Partially revert "fix unlocking method on FreeBSD" (#116)
    - tests: mock uid when running as root (#113) [Joshua Powers]
    - cloudinit/netinfo: remove unused getgateway (#111)
    - docs: clear up apt config sections (#107) [Joshua Powers]
    - doc: add kernel command line option to user data (#105) [Joshua Powers]
    - config/cloud.cfg.d: update README [Joshua Powers]
    - azure: avoid re-running cloud-init when instance-id is byte-swapped
      (#84) [AOhassan]
    - fix unlocking method on FreeBSD [Igor Galić]
    - debian: add reference to the manpages [Joshua Powers]
    - ds_identify: if /sys is not available use dmidecode (#42) [Igor Galić]
    - docs: add cloud-id manpage [Joshua Powers]
    - docs: add cloud-init-per manpage [Joshua Powers]
    - docs: add cloud-init manpage [Joshua Powers]
    - docs: add additional details to per-instance/once [Joshua Powers]
    - Update doc-requirements.txt [Joshua Powers]
    - doc-requirements: add missing dep [Joshua Powers]
    - dhcp: Support RedHat dhcp rfc3442 lease format for option 121 (#76)
      [Eric Lafontaine]
    - network_state: handle empty v1 config (#45)
    - docs: fix line length and remove highlighting [Joshua Powers]
    - docs: Add security.md to readthedocs [Joshua Powers]
    - Multiple file fix for AuthorizedKeysFile config (#60) [Eduardo Otubo]
    - doc: update links on README.md [Joshua Powers]
    - doc: Updates to wording of README.md [Joshua Powers]
    - Add security.md [Joshua Powers]
    - setup.py: Amazon Linux sets libexec to /usr/libexec (#52)
      [Frederick Lefebvre]

 -- Chad Smith <chad.smith@canonical.com>  Wed, 15 Jan 2020 09:36:22 -0700

cloud-init (19.3-41-gc4735dd3-0ubuntu1~19.10.1) eoan; urgency=medium

  * New upstream snapshot (LP: #1854872)
    - Fix linting failure in test_url_helper (#83) [Eric Lafontaine]
    - url_helper: read_file_or_url should pass headers param into readurl
      (#66)
    - dmidecode: log result *after* stripping n [Igor Galić]
    - cloud_tests: add azure platform support to integration tests
      [ahosmanmsft]
    - set_passwords: support for FreeBSD (#46) [Igor Galić]
    - tools: migrate-lp-user-to-github removes repo_dir if created (#35)
    - Correct jumbled documentation for cc_set_hostname module (#64)
      [do3meli]
    - FreeBSD: fix for get_linux_distro() and lru_cache (#59)
      [Igor Galić]
    - ec2: Add support for AWS IMDS v2 (session-oriented) (#55)
    - tests: Fix cloudsigma tests when no dmidecode data is present. (#57)
      [Scott Moser]
    - net: IPv6, accept_ra, slaac, stateless (#51)
      [Harald]
    - docs: Update the configdrive datasource links (#44)
      [Joshua Powers]
    - distro: correctly set usr_lib_exec path for FreeBSD distro (#40)
      [Igor Galić]
    - azure: support secondary ipv6 addresses (#33)
    - Fix metadata check when local-hostname is null (#32)
      [Mark Goddard]
    - Merge pull request #38 from blackboxsw/cleanup/run-ci-on-pull-request
    - switch default FreeBSD salt minion pkg from py27 to py36
      [Dominic Schlegel]
    - add data-server dns entry as new metadata server detection [Joshua Hügli]
    - Merge pull request #31 from raharper/fix/pycodestyle-tip
    - reporting: Using a uuid to enforce uniqueness on the KVP keys. [momousta]
    - docs: touchups in rtd intro and README.md
    - doc: update launchpad git refs to github
    - tools: migrate script needs to write tools/.lp-to-git-user
    - github: drop pull-request template to prepare for migration
    - tools: add migrate-lp-user-to-github script to link LP to github
    - github: new basic project readme
    - Release 19.3
    - azure: support matching dhcp route-metrics for dual-stack ipv4 ipv6
